Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# _TAO_Unbounded_Object_Sequence_CORBA_PolicyList Class Reference

`#include <PolicyC.h>`

Inheritance diagram for _TAO_Unbounded_Object_Sequence_CORBA_PolicyList

[legend]
Collaboration diagram for _TAO_Unbounded_Object_Sequence_CORBA_PolicyList:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Object_Sequence_CORBA_PolicyList (void)
| _TAO_Unbounded_Object_Sequence_CORBA_PolicyList (CORBA::ULong maximum)
| _TAO_Unbounded_Object_Sequence_CORBA_PolicyList (CORBA::ULong maximum, CORBA::ULong length, CORBA_Policy* *value, CORBA::Boolean release = 0)
| _TAO_Unbounded_Object_Sequence_CORBA_PolicyList (const _TAO_Unbounded_Object_Sequence_CORBA_PolicyList &rhs)
virtual | ~_TAO_Unbounded_Object_Sequence_CORBA_PolicyList (void)
_TAO_Unbounded_Object_Sequence_CORBA_PolicyList& | operator= (const _TAO_Unbounded_Object_Sequence_CORBA_PolicyList &rhs)
TAO_Object_Manager<CORBA::Policy, CORBA::Policy_var> | operator[] (CORBA::ULong index) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
| Must deallocate the buffer and then set it to zero.
CORBA_Policy** | get_buffer (CORBA::Boolean orphan = 0)
const CORBA_Policy** | get_buffer (void) const
virtual void | _shrink_buffer (CORBA::ULong nl, CORBA::ULong ol)
virtual void | _downcast ( void* target, CORBA_Object *src, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment () )
| Used for sequences of objects to downcast a recently demarshalled object reference into the right type.
virtual CORBA_Object* | _upcast (void *src) const
| Used for sequences of object to convert from the derived type into the Object class.
## Static Public Methods
CORBA_Policy** | allocbuf (CORBA::ULong nelems)
void | freebuf (CORBA_Policy **buffer)

## Constructor & Destructor Documentation

ACE_INLINE _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::_TAO_Unbounded_Object_Sequence_CORBA_PolicyList ( | void )

ACE_INLINE _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::_TAO_Unbounded_Object_Sequence_CORBA_PolicyList ( | CORBA::ULong maximum )

_TAO_Unbounded_Object_Sequence_CORBA_PolicyList::_TAO_Unbounded_Object_Sequence_CORBA_PolicyList ( | CORBA::ULong maximum,
| CORBA::ULong length,
| CORBA_Policy ** value,
| CORBA::Boolean release = 0 )

ACE_INLINE _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::_TAO_Unbounded_Object_Sequence_CORBA_PolicyList ( | const _TAO_Unbounded_Object_Sequence_CORBA_PolicyList & rhs )

_TAO_Unbounded_Object_Sequence_CORBA_PolicyList::~_TAO_Unbounded_Object_Sequence_CORBA_PolicyList ( | void )`[virtual]`

## Member Function Documentation

void _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::_allocate_buffer ( | CORBA::ULong length )`[virtual]`

| Ensure that the buffer contains space for at least <length> elements. The constructor must be called for any new elements, the old ones (if any) must be copied into the buffer using operator= and then their destructors must be called. Finally the old buffer must be released. Reimplemented from TAO_Base_Sequence.

void _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::_deallocate_buffer ( | void )`[virtual]`

| Must deallocate the buffer and then set it to zero. Reimplemented from TAO_Base_Sequence.

void _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::_downcast ( | void * target,
| CORBA_Object * src,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Used for sequences of objects to downcast a recently demarshalled object reference into the right type. Reimplemented from TAO_Base_Sequence.

void _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::_shrink_buffer ( | CORBA::ULong nl,
| CORBA::ULong ol )`[virtual]`

| Some sequences (of objects and strings) require some cleanup if the sequence is shrunk. The spec requires the destructor to release the objects only from position <0> to <length-1>; so shrink and then delete could result in a memory leak. Reimplemented from TAO_Base_Sequence.

CORBA_Object * _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::_upcast ( | void * src ) const`[virtual]`

| Used for sequences of object to convert from the derived type into the Object class. Reimplemented from TAO_Base_Sequence.

ACE_INLINE CORBA::Policy ** _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::allocbuf ( | CORBA::ULong nelems )`[static]`

void _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::freebuf ( | CORBA_Policy ** buffer )`[static]`

ACE_INLINE const CORBA::Policy ** _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::get_buffer ( | void ) const

ACE_INLINE CORBA::Policy ** _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::get_buffer ( | CORBA::Boolean orphan = 0 )

ACE_INLINE _TAO_Unbounded_Object_Sequence_CORBA_PolicyList & _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::operator= ( | const _TAO_Unbounded_Object_Sequence_CORBA_PolicyList & rhs )

ACE_INLINE TAO_Object_Manager< CORBA::Policy,CORBA::Policy_var > _TAO_Unbounded_Object_Sequence_CORBA_PolicyList::operator[] ( | CORBA::ULong index ) const

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp
- PolicyC.i